# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "phil"
version = "0.3.1"
authors = ["Saghm Rossi <saghmrossi@gmail.com>"]
description = "MongoDB cluster initializer"
readme = "../README.md"
license = "Apache-2.0"
repository = "https://github.com/saghm/phil"
[dependencies.anyhow]
version = "1.0.33"

[dependencies.clap]
version = "2.33.3"

[dependencies.mongodb]
version = "1.1.1"
features = ["sync"]
default-features = false

[dependencies.percent-encoding]
version = "2.1.0"

[dependencies.phil-core]
version = "0.3.1"

[dependencies.self_update]
version = "0.20.0"
features = ["archive-tar", "compression-flate2", "rustls"]
default-features = false

[dependencies.structopt]
version = "0.3.20"

[dependencies.thiserror]
version = "1.0.21"

[dependencies.uuid]
version = "0.8.1"
features = ["v4"]
